Bug 10768 - Improve the interface related to itemBarcodeFallbackSearch
Summary: Improve the interface related to itemBarcodeFallbackSearch
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Andreas Roussos
QA Contact: Testopia
URL: /cgi-bin/koha/circ/circulation.pl
Keywords:
Depends on: 7494
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 09:09 UTC by Magnus Enger
Modified: 2017-06-14 22:13 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot from the documentation (65.18 KB, image/png)
2013-08-20 09:09 UTC, Magnus Enger
Details
Bug 10768 - Improve the interface related to itemBarcodeFallbackSearch (3.10 KB, patch)
2016-09-15 09:00 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 10768 - Improve the interface related to itemBarcodeFallbackSearch (3.11 KB, patch)
2016-09-15 13:24 UTC, Andreas Roussos
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10768 - Improve the interface related to itemBarcodeFallbackSearch (3.21 KB, patch)
2016-09-15 17:04 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 10768 - Improve the interface related to itemBarcodeFallbackSearch (3.23 KB, patch)
2016-09-18 08:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2013-08-20 09:09:43 UTC
Created attachment 20497 [details]
Screenshot from the documentation

Bug 7494 introduced a really nice feature, and the itemBarcodeFallbackSearch syspref. Here are a couple of suggestions for improving the interface related to this syspref:

- When the syspref is on, change the text above the barcode field from "Enter item barcode" to something like "Enter item barcode or keyword"

- In the yellow warning box, make the phrase that was searched for stand out more. Now it is just run into one string like in the attached screenshot from the manual: "The barcode was not found outside the book Fast cataloging". "outside the book" in this example could be e.g. in bold or italics.
Comment 1 Andreas Roussos 2016-09-15 08:29:42 UTC
(In reply to Magnus Enger from comment #0)
> - When the syspref is on, change the text above the barcode field from
> "Enter item barcode" to something like "Enter item barcode or keyword"
This is still valid in the current master (3ee3c31). I'll provide a patch
for the template file soon.

> - In the yellow warning box, make the phrase that was searched for stand out
> more. Now it is just run into one string like in the attached screenshot
> from the manual: "The barcode was not found outside the book Fast
> cataloging". "outside the book" in this example could be e.g. in bold or
> italics.
This was fixed with commit ae40e5e4c68f50ef1c68e8901e46c73e50c31a0a (Bug 9387),
and the search term is now showing in bold.

I'm also changing the "Fast cataloging" link to "Add record using fast cataloging"
as per the following comment:
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=7494#c9
Comment 2 Andreas Roussos 2016-09-15 09:00:31 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2016-09-15 12:05:37 UTC
This looks fine except for one small thing: The changed lines include tab characters. Whenever we modify a template which contains tab characters we should replace each tab with four spaces.
Comment 4 Andreas Roussos 2016-09-15 13:24:13 UTC Comment hidden (obsolete)
Comment 5 Andreas Roussos 2016-09-15 13:26:58 UTC
(In reply to Owen Leonard from comment #3)
> This looks fine except for one small thing: The changed lines include tab
> characters. Whenever we modify a template which contains tab characters we
> should replace each tab with four spaces.
Well spotted, thanks! I've updated the patch accordingly.
Comment 6 Owen Leonard 2016-09-15 17:04:44 UTC
Created attachment 55590 [details] [review]
[SIGNED-OFF] Bug 10768 - Improve the interface related to itemBarcodeFallbackSearch

When the itemBarcodeFallbackSearch syspref is on, the wording in the
interface should reflect that you can enter a barcode OR a keyword.
Additionally, in the results of a keyword search the "Fast cataloging"
link should be more descriptive. This patch fixes these issues.

Test plan:

0) [PREREQUISITES] Ensure you have a Fast Add ('FA') framework defined,
   and that your itemBarcodeFallbackSearch syspref is set to 'Enable'.
1) Go to Circulation -> Check out, search for a patron, then select a
   patron to Check out. Notice how the text above the textbox reads
   "Enter item barcode:".
2) Type something generic (not a barcode) in the textbox so that you'll
   get at least one item as a result. Notice how the text in the yellow
   warning box reads "The barcode was not found: <terms> Fast cataloging".
3) Apply the patch.
4) Repeat step 1), now the text above the textbox should read
   "Enter item barcode or keyword:".
5) Repeat step 2), now the text in the yellow warning box should read
   "The barcode was not found: <terms> Add record using fast cataloging".

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 7 Katrin Fischer 2016-09-18 08:49:59 UTC
Created attachment 55639 [details] [review]
[PASSED QA] Bug 10768 - Improve the interface related to itemBarcodeFallbackSearch

When the itemBarcodeFallbackSearch syspref is on, the wording in the
interface should reflect that you can enter a barcode OR a keyword.
Additionally, in the results of a keyword search the "Fast cataloging"
link should be more descriptive. This patch fixes these issues.

Test plan:

0) [PREREQUISITES] Ensure you have a Fast Add ('FA') framework defined,
   and that your itemBarcodeFallbackSearch syspref is set to 'Enable'.
1) Go to Circulation -> Check out, search for a patron, then select a
   patron to Check out. Notice how the text above the textbox reads
   "Enter item barcode:".
2) Type something generic (not a barcode) in the textbox so that you'll
   get at least one item as a result. Notice how the text in the yellow
   warning box reads "The barcode was not found: <terms> Fast cataloging".
3) Apply the patch.
4) Repeat step 1), now the text above the textbox should read
   "Enter item barcode or keyword:".
5) Repeat step 2), now the text in the yellow warning box should read
   "The barcode was not found: <terms> Add record using fast cataloging".

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 8 Kyle M Hall 2016-09-27 11:12:32 UTC
Pushed to master for 16.11, thanks Andreas!
Comment 9 Frédéric Demians 2016-09-30 08:49:28 UTC
Pushed in 16.05. Will be in 16.05.05.
Comment 10 Julian Maurice 2016-10-14 12:00:21 UTC
Pushed to 3.22.x, will be in 3.22.12